Page MenuHomePhabricator

Clean the code review queue of extensions/UploadWizard
Closed, ResolvedPublic

Description

extensions/UploadWizard is the Wikimedia repository with oldest changesets waiting for code review. This task aims to remove this repository from the pole position, hopefully with a successful review of all these patches.

UploadWizard's 9 open changesets (not counting -1 and WIP) have a median age of 512 days.

See also:

Copy of the pending change list, as of 2015-11-27:

ChangeSubjectOwnerBranchUpdatedCR
255552Update wording of 'mwe-upwiz-tooltip-date' for new date selectorBartosz DziewońskimasterNov 26 MERGED
255424Move remainder of UI creation into JSMarkTraceurmasterNov 25 MERGED
255418Create arrow steps in JavaScriptMarkTraceurmaster (255418)Nov 25 MERGED
254913Remove upload handling from UploadWizard objectMarkTraceurmaster (stepwise-refactor)Nov 23
254604Add details to Composer fileSamwilsonmaster (composer)Nov 21 ABANDONED
199985[WIP] Move upload handling to the step objectsMarkTraceurmaster (T93895)Oct 8 ABANDONED
201481[WIP] QA: Example of adding an extension to FirefoxDduvallmaster (firefogg-bt)Sep 17 ABANDONED
212948[WIP] Add flickr checking to backendBrian Wolffmaster (ApiFlickr)Jul 15 ABANDONED
213234Use new Flickr API instead of old hacky JSMarkTraceurmaster (T100062)May 25, 2015 ABANDONED
213485[WIP] Refactor Flickr code to be MVC-yMarkTraceurmaster (T100153)May 25, 2015 ABANDONED
199749Move setUploadFilled into the file stepMarkTraceurmaster (T93888)May 1, 2015 ABANDONED
189416WIP isolate Flickr UI stuffMarkTraceurmaster (flickr-ui-isolation)Feb 10, 2015 ABANDONED
189026Remove "upload" and "wizard" references from UWUIMarkTraceurmaster (isolate-uwui)Feb 10, 2015 ABANDONED
185237Move duplicate error handling to the wizard classMarkTraceurmaster (T86679)Feb 2, 2015 ABANDONED
184869[WIP] Embedding Static Map to UploadWizardInchikuttyosm3 (bug/T58612)Jan 14, 2015 ABANDONED
47837Add flickr templates to uploads from flickr.Nischayn22master (bug/43408)Nov 4, 2014-1
154341WIP move most of the upload step stuff into controller.UploadMarkTraceurmaster (move-new-upload)Oct 30, 2014 ABANDONED
155511[WIP]Add unit tests to mw.GeoMap.js and some fixesInchikuttyosm2 (bug/56612)Aug 21, 2014 ABANDONED
144324Adds OSM parameter to coordinate templateInchikuttyosm2 (bug/56612)Aug 20, 2014 ABANDONED
3808Add HTML5 drag and drop supportDrecodeammaster (html5-drag-drop)Jul 7, 2014 ABANDONED
144151Improves zoom; enables drag on mapInchikuttyosm2 (bug/56612)Jul 5, 2014 ABANDONED
142301UploadWizard: OSM embedding: Geocoding, reverse geocodingInchikuttyosm2 (bug/56612)Jun 29, 2014 ABANDONED
141987Embeds leaflet map based on OSM data to UploadWizardInchikuttyosm2 (bug/56612)Jun 26, 2014 ABANDONED
141979Adds leaflet scripts to UploadWizardInchikuttyosm2 (bug/56612)Jun 25, 2014 ABANDONED
141920Embedding Static Map to UploadWizardInchikuttyosm2 (bug/56612)Jun 25, 2014 ABANDONED
54897add support for more types of flickr URLs to upload wizardRjainmasterMay 22, 2014 ABANDONED
61289(bug 27995) Added support for screen width upto 800pxRasel160master (2013/bug27995)May 22, 2014 ABANDONED

Event Timeline

Qgil created this task.Nov 27 2015, 4:28 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Needs Triage.
Qgil added a subscriber: Qgil.
Restricted Application added a project: Multimedia. · View Herald TranscriptNov 27 2015, 4:28 PM
Restricted Application added subscribers: StudiesWorld, Steinsplitter, Aklapper. · View Herald Transcript
matmarex updated the task description. (Show Details)Nov 27 2015, 9:27 PM
matmarex set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptNov 27 2015, 9:27 PM
Jay8g added a subscriber: Jay8g.Nov 28 2015, 4:30 AM

@matmarex, @MarkTraceur: Would anybody be willing to take this and reduce this backlog? And if December is already too packed and too short, would this be something one of you could commit to in January or February? Thanks!

MarkTraceur added a subscriber: Tgr.Dec 1 2015, 3:22 PM

I'm working through the older patches now, I'm waiting on @Tgr's response to whether I can abandon the OSM patches, they're not going to rebase cleanly and we took out the first few OSM bits anyway.

MarkTraceur updated the task description. (Show Details)Dec 1 2015, 3:28 PM

@matmarex I'm going to need you to review the more recent UW patches to finish the refactor that I started, whenever you get a chance

matmarex updated the task description. (Show Details)Dec 1 2015, 6:48 PM
matmarex added a subscriber: Inchikutty.EditedDec 1 2015, 6:52 PM

Most of the old changesets, now abandoned, are either part of @MarkTraceur's refactoring (and either are no longer applicable to current code, or got implemented in different patches) or part of @Inchikutty's a OPW project T58612: Add map widget for coordinate selection (merging of which is blocked on having a Wikimedia map service, and which would need some rebasing).

matmarex updated the task description. (Show Details)Dec 1 2015, 6:54 PM
MarkTraceur triaged this task as High priority.Dec 1 2015, 6:55 PM
matmarex updated the task description. (Show Details)Dec 3 2015, 4:00 PM
MarkTraceur updated the task description. (Show Details)Dec 7 2015, 4:43 PM

Impressive work, thanks!
https://gerrit.wikimedia.org/r/#/q/project:mediawiki/extensions/UploadWizard+status:open,n,z now lists only three patches without CR, all form this month, and two of them by a GCI student (yay).
I'm tempted to move the priority down or even close this task but I leave that to your judgement.
Thanks again. This was quick.

MarkTraceur closed this task as Resolved.Jan 6 2016, 6:09 PM
MarkTraceur claimed this task.

Yeah, seems like we've got a handle on it now, thanks for keeping us honest @Aklapper